let fs = require("fs");
let path = require("path");

const staticDir = path.join(__dirname, "static");

module.exports = (app) => {
    function renderAndSave(file, template, options) {
        file = path.join(staticDir, file);
        app.render(template, options, (e, r) => {
            if (e) return fs.writeFile(file, "<!DOCTYPE html><html><head><title>Something went wrong!</title></head><body><h1>Something went wrong!</h1><p>Could not render this page! Please contact the administrator!</p></body></html>", () => undefined);
            return fs.writeFile(file, r, () => undefined);
        });
    }

    if (!fs.existsSync(staticDir)) fs.mkdirSync(staticDir);

    [
        ["index.htm", "linkList", {
            title: "Key Server of banananet.work",
            links: [
                {href: "/ssh", name: "All SSH Keys"},
            ],
        }],
    ].forEach(e => renderAndSave(e[0], e[1], e[2]));
};